org.apache.poi.sl.usermodel

## Enum TextParagraph.TextAlign

- java.lang.Object
- - java.lang.Enum<TextParagraph.TextAlign>
  - - org.apache.poi.sl.usermodel.TextParagraph.TextAlign

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextParagraph.TextAlign>
  Enclosing interface:
    TextParagraph<S extends Shape<S,P>,P extends TextParagraph<S,P,T>,T extends TextRun>

      public static enum TextParagraph.TextAlign
      extends java.lang.Enum<TextParagraph.TextAlign>

  Specifies a list of text alignment types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER` For horizontal text, centered.
    `DIST` Distribute space between characters.
    `JUSTIFY` Align text so that it is justified across the whole line.
    `JUSTIFY_LOW` Kashida justify low.
    `LEFT` For horizontal text, left aligned.
    `RIGHT` For horizontal text, right aligned.
    `THAI_DIST` Thai distribution justification.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextParagraph.TextAlign` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextParagraph.TextAlign[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final TextParagraph.TextAlign LEFT

      For horizontal text, left aligned. For vertical text, top aligned.

    - #### CENTER

          public static final TextParagraph.TextAlign CENTER

      For horizontal text, centered. For vertical text, middle aligned.

    - #### RIGHT

          public static final TextParagraph.TextAlign RIGHT

      For horizontal text, right aligned. For vertical text, bottom aligned.

    - #### JUSTIFY

          public static final TextParagraph.TextAlign JUSTIFY

      Align text so that it is justified across the whole line. It is smart in the sense that it will not justify sentences which are short For horizontal text, flush left and right. For vertical text, flush top and bottom.

    - #### JUSTIFY_LOW

          public static final TextParagraph.TextAlign JUSTIFY_LOW

      Kashida justify low.

    - #### DIST

          public static final TextParagraph.TextAlign DIST

      Distribute space between characters.

    - #### THAI_DIST

          public static final TextParagraph.TextAlign THAI_DIST

      Thai distribution justification.

  - ### Method Detail

    - #### values

          public static TextParagraph.TextAlign[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextParagraph.TextAlign c : TextParagraph.TextAlign.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextParagraph.TextAlign valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.